Debian Bug report logs - #352662
Does not display Japanese correctly if using UTF8 locale

version graph

Package: mlterm; Maintainer for mlterm is Kenshi Muto <kmuto@debian.org>; Source for mlterm is src:mlterm.

Reported by: KOYAMA Teruo <t_koyama@nii.ac.jp>

Date: Mon, 13 Feb 2006 10:48:06 UTC

Severity: normal

Fixed in version mlterm/2.9.3-5

Done: Kenshi Muto <kmuto@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#352662; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to KOYAMA Teruo <t_koyama@nii.ac.jp>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: KOYAMA Teruo <t_koyama@nii.ac.jp>
To: submit@bugs.debian.org
Subject: installation-reports
Date: Mon, 13 Feb 2006 19:37:21 +0900
Package: installation-reports

Boot method: network
Image version: 2006/02/10
http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-netinst.iso

Date: 2006/02/11

Machine: Epson Direct Endeavor 5000 (Laptop Model)
Processor: Mobile Pentium4 1.7GHz
Memory: 1GB
Partitions: 6GB /, 32GB /home, 1.5GB swap

Output of lspci and lspci -n:
lspci
0000:00:00.0 Host bridge: Intel Corporation 82845 845 (Brookdale)
Chipset Host Bridge (rev 04)
0000:00:01.0 PCI bridge: Intel Corporation 82845 845 (Brookdale) Chipset
AGP Bridge (rev 04)
0000:00:1d.0 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #1)
(rev 02)
0000:00:1d.1 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #2)
(rev 02)
0000:00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 42)
0000:00:1f.0 ISA bridge: Intel Corporation 82801CAM ISA Bridge (LPC)
(rev 02)
0000:00:1f.1 IDE interface: Intel Corporation 82801CAM IDE U100 (rev 02)
0000:00:1f.3 SMBus: Intel Corporation 82801CA/CAM SMBus Controller (rev 02)
0000:00:1f.5 Multimedia audio controller: Intel Corporation 82801CA/CAM
AC'97 Audio Controller (rev 02)
0000:00:1f.6 Modem: Intel Corporation 82801CA/CAM AC'97 Modem Controller
(rev 02)
0000:01:00.0 VGA compatible controller: ATI Technologies Inc Radeon
Mobility M7 LW [Radeon Mobility 7500]
0000:02:05.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
0000:02:07.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev a8)
0000:02:07.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev a8)
0000:02:07.2 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394
Controller

lspci -n
0000:00:00.0 0600: 8086:1a30 (rev 04)
0000:00:01.0 0604: 8086:1a31 (rev 04)
0000:00:1d.0 0c03: 8086:2482 (rev 02)
0000:00:1d.1 0c03: 8086:2484 (rev 02)
0000:00:1e.0 0604: 8086:2448 (rev 42)
0000:00:1f.0 0601: 8086:248c (rev 02)
0000:00:1f.1 0101: 8086:248a (rev 02)
0000:00:1f.3 0c05: 8086:2483 (rev 02)
0000:00:1f.5 0401: 8086:2485 (rev 02)
0000:00:1f.6 0703: 8086:2486 (rev 02)
0000:01:00.0 0300: 1002:4c57
0000:02:05.0 0200: 10ec:8139 (rev 10)
0000:02:07.0 0607: 1180:0476 (rev a8)
0000:02:07.1 0607: 1180:0476 (rev a8)
0000:02:07.2 0c00: 1180:0552

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot worked: [O]
Configure network HW: [O]
Config network: [O]
Detect CD: [O]
Load installer modules: [O]
Detect hard drives: [O]
Partition hard drives: [O]
Create file systems: [O]
Mount partitions: [O]
Install base system: [O]
Install boot loader: [O]
Reboot: [O]

Comments/Problems:

I'm quite fond of this distribution.

Some minor problems
Time setting is incorrect. At first, the clock was set to 9 hours
advanced to JST (it shouls be +9:00GMT).

During the X window installation process, the installer asked the
resolution of the display (a laptop panel). I'v selected some
resolution, but no selection is written in xorg.conf file (only
640x480 is in the file).
The holizontal/vertical reflesh rates in the original file also are
not proper. It seems to correspond to a low resolution CRT display.
It was neccessery to change xorg.conf file after installation.
After changing the xorg.conf file, I can get correct resolution
(UXGA, 24bit)

In GNOME desktop, Japanese keyboard layout seems to be pertly
incorrect.
Some keys (such as ']', '}', '_') are not effective in the original
setting. This problem can be avoided by changing keyboard layout
from pc105/Japanese-variation to jp106, using the GNOME preference
utility.

Using locale ja_JP.UTF-8, mlterm cannot display Japanese characters
correctly. In the ja_JP.EUC-JP locale, this problem does not occur.
Error message is sown when I launch mlterm from another terminal.

font -efont-fixed medium-r-normal--16-*-iso10646-1 couldn't be loaded

OSS sound (default setting) did not work, ALSA works pretty well.

-- 
Teruo KOYAMA
mail: t_koyama<at>.nii.ac.jp




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#352662; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 352662@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: 352662@bugs.debian.org, control@bugs.debian.org
Cc: KOYAMA Teruo <t_koyama@nii.ac.jp>
Subject: Re: Bug#352662: installation-reports
Date: Mon, 13 Feb 2006 20:57:14 +0100
reassign 352662 mlterm
retitle 352662 Does not display Japanese correctly if using UTF8 locale
thanks

On Monday 13 February 2006 11:37, KOYAMA Teruo wrote:
> Comments/Problems:
> I'm quite fond of this distribution.

Thank you :-)

> Some minor problems
> Time setting is incorrect. At first, the clock was set to 9 hours
> advanced to JST (it shouls be +9:00GMT).

That probably means that you selected the wrong answer at the question if 
your hardware clock is set to UTC or local time.
Check the value of UTC in /etc/default/rcS.

> During the X window installation process, the installer asked the
> resolution of the display (a laptop panel). I'v selected some
> resolution, but no selection is written in xorg.conf file (only
> 640x480 is in the file).

Suggest you try 'dpkg-reconfigure xserver-xorg' as root. If the problems 
remain, please file a bug report against X. This is not really an 
installer issue.

> In GNOME desktop, Japanese keyboard layout seems to be pertly 
> incorrect.

This is probably due to the fact that one component of the installation 
that was previously run as part of base-config after the reboot has not 
yet been ported to debian installer itself.
We expect this to be fixed for the release after the upcoming Beta2.

> Using locale ja_JP.UTF-8, mlterm cannot display Japanese characters
> correctly. In the ja_JP.EUC-JP locale, this problem does not occur.
> Error message is sown when I launch mlterm from another terminal:
> font -efont-fixed medium-r-normal--16-*-iso10646-1 couldn't be loaded

Reassigning to mlterm for this issue.

> OSS sound (default setting) did not work, ALSA works pretty well.

ALSA is prefered anyway for 2.6 kernels.


As the mlterm issue is the only real issue in this report, I'm reassigning 
it there. Thank you for your installation report.

Cheers,
FJP



Bug reassigned from package `installation-reports' to `mlterm'. Request was from Frans Pop <aragorn@tiscali.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frans Pop <aragorn@tiscali.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#352662; Package mlterm. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #19 received at 352662-quiet@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: 352662-quiet@bugs.debian.org
Cc: 352662-submitter@bugs.debian.org
Subject: Re: installation-report
Date: Thu, 23 Feb 2006 16:05:43 +0100
> Time setting is incorrect. At first, the clock was set to 9 hours
> advanced to JST (it shouls be +9:00GMT).

We have just corrected a bug in the clock-setup component of the installer 
that could have resulted in this error. The fixed version will be part of 
the Beta2 release of the installer.
Thank you for reporting this.

Cheers,
FJP



Message sent on to KOYAMA Teruo <t_koyama@nii.ac.jp>:
Bug#352662. Full text and rfc822 format available.

Reply sent to Kenshi Muto <kmuto@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to KOYAMA Teruo <t_koyama@nii.ac.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 352662-close@bugs.debian.org (full text, mbox):

From: Kenshi Muto <kmuto@debian.org>
To: 352662-close@bugs.debian.org
Subject: Bug#352662: fixed in mlterm 2.9.3-5
Date: Wed, 01 Nov 2006 05:47:26 -0800
Source: mlterm
Source-Version: 2.9.3-5

We believe that the bug you reported is fixed in the latest version of
mlterm, which is due to be installed in the Debian FTP archive:

mlterm-common_2.9.3-5_amd64.deb
  to pool/main/m/mlterm/mlterm-common_2.9.3-5_amd64.deb
mlterm-im-m17nlib_2.9.3-5_amd64.deb
  to pool/main/m/mlterm/mlterm-im-m17nlib_2.9.3-5_amd64.deb
mlterm-im-scim_2.9.3-5_amd64.deb
  to pool/main/m/mlterm/mlterm-im-scim_2.9.3-5_amd64.deb
mlterm-im-uim_2.9.3-5_amd64.deb
  to pool/main/m/mlterm/mlterm-im-uim_2.9.3-5_amd64.deb
mlterm-tiny_2.9.3-5_amd64.deb
  to pool/main/m/mlterm/mlterm-tiny_2.9.3-5_amd64.deb
mlterm-tools_2.9.3-5_amd64.deb
  to pool/main/m/mlterm/mlterm-tools_2.9.3-5_amd64.deb
mlterm_2.9.3-5.diff.gz
  to pool/main/m/mlterm/mlterm_2.9.3-5.diff.gz
mlterm_2.9.3-5.dsc
  to pool/main/m/mlterm/mlterm_2.9.3-5.dsc
mlterm_2.9.3-5_amd64.deb
  to pool/main/m/mlterm/mlterm_2.9.3-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 352662@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kenshi Muto <kmuto@debian.org> (supplier of updated mlterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  1 Nov 2006 21:49:28 +0900
Source: mlterm
Binary: mlterm-im-m17nlib mlterm-tools mlterm-common mlterm-im-scim mlterm-tiny mlterm-im-uim mlterm
Architecture: source amd64
Version: 2.9.3-5
Distribution: unstable
Urgency: medium
Maintainer: Tomohiro KUBOTA <kubota@debian.org>
Changed-By: Kenshi Muto <kmuto@debian.org>
Description: 
 mlterm     - MultiLingual TERMinal
 mlterm-common - MultiLingual TERMinal, common files
 mlterm-im-m17nlib - MultiLingual TERMinal, m17nlib input method plugin
 mlterm-im-scim - MultiLingual TERMinal, scim input method plugin
 mlterm-im-uim - MultiLingual TERMinal, uim input method plugin
 mlterm-tiny - MultiLingual TERMinal, tiny version
 mlterm-tools - MultiLingual TERMinal, additional tools
Closes: 352662 396532
Changes: 
 mlterm (2.9.3-5) unstable; urgency=medium
 .
   * Fix 64 bit FTBFS around kik_utmp_sysv.c:123. (closes: #396532)
   * Set VLGothic for default Japanese font.
   * Use freetype to get fonts instead of XLFD. (closes: #352662)
Files: 
 eef6382375db61a25a1809a30c7a4557 866 x11 optional mlterm_2.9.3-5.dsc
 c4cdcfc89fb9ffc295102ceed5a1e6b9 29792 x11 optional mlterm_2.9.3-5.diff.gz
 7c350fe80dba4d602246456c2f7a4e9d 200698 x11 optional mlterm_2.9.3-5_amd64.deb
 2b8d9f96728ae3901988615620a5d1e0 176980 x11 optional mlterm-tiny_2.9.3-5_amd64.deb
 6289fa20e076f471f9b340cd95181c14 626636 x11 optional mlterm-common_2.9.3-5_amd64.deb
 723b9b0b94f76a0e8d3dbe50eb32d4f4 70132 x11 optional mlterm-tools_2.9.3-5_amd64.deb
 95e8ea7e537d3f4e2dd0a2b04ab037fe 21608 x11 optional mlterm-im-uim_2.9.3-5_amd64.deb
 31ea3385dc924942780bf6b987a433a1 42186 x11 optional mlterm-im-scim_2.9.3-5_amd64.deb
 bff396acd48ffc01d9d9fb5945c56dc1 19260 x11 optional mlterm-im-m17nlib_2.9.3-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iEYEARECAAYFAkVIogYACgkQQKW+7XLQPLEotwCg1cZ962rRymZQr/VhWCKzNbzw
cGkAnigQYTNIWvTihO+H1vDw2eLHgWI8
=bFHe
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 04:09:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:03:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.